=== debian/control ===
Source: slingscold-launcher
Section: x11
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Martin Wimpress <code@flexion.org>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends: cmake (>= 2.6),
               debhelper (>= 9),
               libgee-dev (>= 0.5.3),
               libglib2.0-dev (>= 2.22.0),
               libgnome-menu-dev,
               libgtk2.0-dev (>= 2.24.0),
               libunique-dev (>= 0.9),
               libvala-0.22-dev | libvala-0.26-dev | libvala-0.28-dev,
               libwnck-dev,
               valac-0.22 | valac-0.26 | valac-0.28,
Standards-Version: 3.9.6

Package: slingscold-launcher
Architecture: any
Depends: libc6,
         libglib2.0-0 (>= 2.22.0),
         libgnome-menu2,
         libgtk2.0-0 (>= 2.24.0),
         libunique-1.0-0 (>= 0.9),
         libwnck22,
         ${misc:Depends},
         ${shlibs:Depends},
Description: A a lightweight application launcher
 Slingscold is a lightweight application launcher similar to
 Launchpad in Mac OS X.
